package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.MusicSheet;
import com.yonge.cooleshow.biz.dal.entity.MusicSheetAccompaniment;
import com.yonge.cooleshow.biz.dal.enums.OrderStatusEnum;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-04-01
 */
public class MusicSheetDetailVo extends MusicSheet {

    @ApiModelProperty("曲谱伴奏")
    private List<MusicSheetAccompaniment> background;

    @ApiModelProperty("是否能播放（0：否，1：是） 学生端进入小酷Ai判断 试用/完整 播放")
    private YesOrNoEnum play;

    @ApiModelProperty("订单状态(WAIT_PAY:待支付;PAYING:支付中,PAID:已付款)")
    private OrderStatusEnum orderStatus;

    @ApiModelProperty("支付订单号")
    private String orderNo;

    @ApiModelProperty("上传老师名称")
    private String userName;

    @ApiModelProperty("上传用户头像")
    private String userAvatar;

    @ApiModelProperty("标签名")
    private String musicTagNames;

    @ApiModelProperty("声部名")
    private String subjectNames;

    @ApiModelProperty("声部code")
    private String code;

    @ApiModelProperty("声部频率")
    private Integer aiDefaultFrequency;

    @ApiModelProperty("审核理由")
    private String reason;

    @ApiModelProperty("上一次审核的曲目信息")
    private MusicSheetDetailVo lastMusicSheet;

    @ApiModelProperty("真实姓名")
    private String realName;

    @ApiModelProperty("审核时间")
    private Date auditTime;

    @ApiModelProperty("审核人")
    private String  auditName;

    @ApiModelProperty("审核理由")
    private String auditReason;

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public String getAuditName() {
        return auditName;
    }

    public void setAuditName(String auditName) {
        this.auditName = auditName;
    }

    public String getAuditReason() {
        return auditReason;
    }

    public void setAuditReason(String auditReason) {
        this.auditReason = auditReason;
    }

    public MusicSheetDetailVo getLastMusicSheet() {
        return lastMusicSheet;
    }

    public void setLastMusicSheet(MusicSheetDetailVo lastMusicSheet) {
        this.lastMusicSheet = lastMusicSheet;
    }

    public Integer getAiDefaultFrequency() {
        return aiDefaultFrequency;
    }

    public void setAiDefaultFrequency(Integer aiDefaultFrequency) {
        this.aiDefaultFrequency = aiDefaultFrequency;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getUserAvatar() {
        return userAvatar;
    }

    public void setUserAvatar(String userAvatar) {
        this.userAvatar = userAvatar;
    }

    public String getMusicTagNames() {
        return musicTagNames;
    }

    public void setMusicTagNames(String musicTagNames) {
        this.musicTagNames = musicTagNames;
    }

    public String getSubjectNames() {
        return subjectNames;
    }

    public void setSubjectNames(String subjectNames) {
        this.subjectNames = subjectNames;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public List<MusicSheetAccompaniment> getBackground() {
        return background;
    }

    public void setBackground(List<MusicSheetAccompaniment> background) {
        this.background = background;
    }

    public YesOrNoEnum getPlay() {
        return play;
    }

    public void setPlay(YesOrNoEnum play) {
        this.play = play;
    }

    public OrderStatusEnum getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(OrderStatusEnum orderStatus) {
        this.orderStatus = orderStatus;
    }
}

